Subject: bug#30350: Build breakage of master on MacOS 10.13

From: Mikhail Gusarov <[email-masked]>
Date: Tue, 06 Feb 2018 22:26:00 +0100

Hi John,

On Tue, 6 Feb 2018, at 18:40, John Wiegley wrote:

> Mikhail, are you saying that "/bin/zsh", where /bin/zsh is a file, should
> report as a directory on OS X? I think I've misunderstood your comment.

I'm saying that on OS X stat'ing /bin/zsh and /bin/zsh/ (or /bin/zsh/.) gives different results:

% stat /bin/zsh
16777220 721698 -rwxr-xr-x 1 root wheel 0 610288 "Feb  6 22:24:24 2018" "Sep 21 06:35:23 2017" "Nov  6 13:34:29 2017" "Sep 21 06:35:23 2017" 4194304 808 0x80020 /bin/zsh
% stat /bin/zsh/.
stat: /bin/zsh/.: stat: Not a directory
% stat /bin/zsh/
stat: /bin/zsh/: stat: Not a directory
%